X Request Failure Error Badwindow Bad Window Parameter Glxinfo Problems?

If you have x badwindow request failed, invalid glxinfo window parameter on your system, this guide should help you fix it.

PC running slow?

  • Step 1: Download and install ASR Pro
  • Step 2: Launch the program and follow the on-screen instructions
  • Step 3: Select the files or folders you want to scan and click "Restore"
  • Download this software now to increase your computer's security.

    Questions about API installation, lÖve, LÖVE and support can be found here.forumread

    rules it

    milon
    Group member

    Posts: 265

    Joined: Jan 18, 2018 9:14 PM

    [SOLVED] BadWindow Error In Linux Mint 19 XFCE

    It's decided! It turned out that the latest Mesa version was to blame, which broke OpenGL compatibility with two 3rd generation Intel GPUs. Solution: Out of the question here

    viewtopic.Do you sell php?f=4&t=85719&p=223077#p223077

    I have an old Intel Atom computer system that I play with. Until recently Linux Mint Cinnamon 18 was installed on the hardware and worked great with it - all I had to do was set up the PPA and then search for Love in the software manager. Easy!

    However, Mint linux 19 was recently released and I chose XFCE (because older hardware takes precedence lol). I did a clean install (including disk cleanup) of LM19 as well as a normal install of XFCE. So far, everything is working fine, except for love.

    :(

    I get a vague error when badwindow,my husband and I are trying to do anything related to the love executable, double click: in the file .love app command, "likes" you name the file .true love for "love" next like this. I have no idea what to use next I'm a linux newbie again so I don't know how to deal with problems with drivers etc. Any help would generally be greatly appreciated.Here's copy/pasting some terminal elements to show the current state:

    [email protected]:~$ LoveX Request completed error: BadWindow (Invalid window parameter)  Failed to get major opcode: 4 (X_DestroyWindow)  The resource I would use if the request failed: 0x4600014 Serial number request error: 299  Current serial number of the last holiday [email protected]: streams: ~$ Enchantment --versionLOVE 11.1 (Mysterious sudo secrets)[email protected]:~$ apt-get you can set the libgl1-mesa-dev password[sudo] Cooper:Read software listings... tree DoneCreate DependenciesReading Status Information... Already Donelibgl1-mesa-dev is the latest version (18.0.5-0ubuntu0~18.04.1).0 0 0 updated, recently installed, Delete to and 0  Not necessarily [email protected]:~$ sudo apt-get libgl1-mesa-glxReading installation box lists... DoneCreate DependenciesRead location information tree... Donelibgl1-mesa-glx is already the most popular version (18.0.5-0ubuntu0~18.04.1).0 0 for update, reconnect, 0 for delete and instead of 0 update. [email protected]:~$ apt-get libsdl2-devRead Setup Setlists...DoneCreate a dependency treeRead Phase Info... Already Donelibsdl2-dev is the latest version (2.0.8+dfsg1-1ubuntu1.18.04.1).0 updated, 0 recently added, 0 removed and 0 just [email protected]:~$ -aThere are no real lsb_release lsb modules.Distribution ID: Linux Linux Mint.Description Mint: 19 tar.Version: 19Codename: Tara

    mylon

    until Thu 13.09.6:12 2018 in the evening, edited one time in full.

    pgymeno Du

    group member

    Posts: 2975

    Joined: October 18, 2015, 2:58 pm

    Re: Error In Badwindow Linux 19 Mint XFCE

    Can you materialize the result? (glxinfo is literally in the mesa-utils package, so install it first if you don't get it)

    x error of failed request badwindow invalid window parameter glxinfo

    And what graphics card do you have (if it's not obvious from the above output)?

    Milon Du
    group member

    Posts: 265

    Joined: Thu, Jan 18, 2018 9:14 PM

    Re: BadWindow Error In Linux Mint 20 XFCE

    http://global.shuttle.com/main/products... glxinfo uctId=1515

    [email protected]:~$ | grep OpenGLOpenGL Vendor Chain: Intel Open Source Technology CenterOpenGL render chain: DRI mesa Line pineviewintel(r) OpenGL versions: 1.4 Mesa 18.0.5opengl registration extensions:Version string Opengl ES ES: Opengl 2.0 Mesa 18.0. Profile shading 5application language opengl string es: ES opengl GLSL ES 1.0.16So, ES OpenGL profile extensions:

    pgymeno

    group member

    contributions: 2975

    Date of registration: October 18, 2015,

    Re: 14:58

    BadWindow Error In Linux Mint 19 XFCE

    x error of failed request badwindow invalid window parameter glxinfo

    Hmm, I'm not very familiar with drivers and requirements. It even scans me because opengl which 1.4 supports is old but also OpenGLES 2.0 which I think is ok but I'm not sure. Oddly enough, I can't find the OpenGL lÖve requirements for the places I think are the best: top of the page, top of the wiki pageanits, the initial wiki webpage, and the release notes for 11.0. I think there was an environment situation that forced OpenGL to use ES, but I don't know which one.

    But does "Mesa DRI" mean it can use/require DRI drivers instead of GLX? de Have you installed libgl1-mesa-dri?

    - no, try installing and possibly removing libgl1-mesa-glx.If it's

    PC running slow?

    Is your PC constantly giving you grief? Don't know where to turn? Well, have we got the solution for you! With ASR Pro, you can repair common computer errors, protect yourself from file loss, malware and hardware failure...and optimize your PC for maximum performance. It's like getting a brand new machine without having to spend a single penny! So why wait? Download ASR Pro today!

  • Step 1: Download and install ASR Pro
  • Step 2: Launch the program and follow the on-screen instructions
  • Step 3: Select the files or folders you want to scan and click "Restore"

  • - so, check the removal to see if it forces you to use GLX.

    These are really shots in the dark as I had no idea if libgl1-mesa-dri even supports reflection-accelerated OpenGL or if glx is required for LÖVE. At worst, most people will go back to everything and you will be more like yourself now.